This endpoint is still on our legacy API.
Fetches all reefers and reefer-specific stats.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Trailers under the Trailers category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/reefers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"assetType": "Thermo King",
"id": 1,
"name": "Reefer 123",
"reeferStats": {
"ambientAirTemperature": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"dischargeAirTemperature": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"engineHours": [
{
"changedAtMs": 1453449599999,
"engineHours": 1200
}
],
"fuelPercentage": [
{
"changedAtMs": 1453449599999,
"fuelPercentage": 99
}
],
"powerStatus": [
{
"changedAtMs": 1453449599999,
"status": "Active (Continuous)"
}
],
"reeferAlarms": [
{
"alarms": [
{
"alarmCode": 102,
"description": "Check Return Air Sensor",
"operatorAction": "Check and repair at end of trip",
"severity": 1
}
],
"changedAtMs": 1453449599999
}
],
"returnAirTemperature": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"setPoint": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
]
}
}
],
"pagination": {
"endCursor": "MTU5MTEzNjA2OTU0MzQ3",
"hasNextPage": true,
"hasPrevPage": true,
"startCursor": "MTU5MTEzNjA2OTU0MzQ3"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Timestamp in milliseconds representing the start of the period to fetch, inclusive. Used in combination with endMs.
Timestamp in milliseconds representing the end of the period to fetch, inclusive. Used in combination with startMs.
Pagination parameter indicating the cursor position to continue returning results after. Used in conjunction with the 'limit' parameter. Mutually exclusive with 'endingBefore' parameter.
Pagination parameter indicating the cursor position to return results before. Used in conjunction with the 'limit' parameter. Mutually exclusive with 'startingAfter' parameter.
Pagination parameter indicating the number of results to return in this request. Used in conjunction with either 'startingAfter' or 'endingBefore'.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/reefers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"assetType": "Thermo King",
"id": 1,
"name": "Reefer 123",
"reeferStats": {
"ambientAirTemperature": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"dischargeAirTemperature": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"engineHours": [
{
"changedAtMs": 1453449599999,
"engineHours": 1200
}
],
"fuelPercentage": [
{
"changedAtMs": 1453449599999,
"fuelPercentage": 99
}
],
"powerStatus": [
{
"changedAtMs": 1453449599999,
"status": "Active (Continuous)"
}
],
"reeferAlarms": [
{
"alarms": [
{
"alarmCode": 102,
"description": "Check Return Air Sensor",
"operatorAction": "Check and repair at end of trip",
"severity": 1
}
],
"changedAtMs": 1453449599999
}
],
"returnAirTemperature": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"setPoint": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
]
}
}
],
"pagination": {
"endCursor": "MTU5MTEzNjA2OTU0MzQ3",
"hasNextPage": true,
"hasPrevPage": true,
"startCursor": "MTU5MTEzNjA2OTU0MzQ3"
}
}